using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        struct SPAUJ
        {
            public double pocetna;
            public double procenat;
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            SPAUJ[] spauj = new SPAUJ[n];
            for (int i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split();
                spauj[i].pocetna = double.Parse(s[0]);
                spauj[i].procenat = double.Parse(s[1]);
            }
            for (int i = 0; i < n; i++)
                for (int j = i; j < n; j++)
                {
                    if (spauj[i].procenat > spauj[j].procenat)
                    {
                        SPAUJ l = spauj[i];
                        spauj[i] = spauj[j];
                        spauj[j] = l;
                    }
                }
            double[] a = new double[n];
            for (int i = 0; i < n; i++)
            {
                double zbir = 0;
                for (int j = i; j < n; j++)
                      zbir += (spauj[j].pocetna / 100 * spauj[i].procenat);
                a[i] = zbir;
            }
            Array.Sort(a);
            Console.WriteLine(a[n - 1]);
        }
    }
}